Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountModifierPercent

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.DiscountModifier
          com.bea.commerce.ebusiness.price.engine.DiscountModifierPercent

Deprecated

    @Deprecated
    public class DiscountModifierPercent

extends DiscountModifier

Supports PERCENT_OFF ModifierType

Field Summary
`static String` | `cName` Deprecated

Constructor Summary
`DiscountModifierPercent(ModifierType type, String stringValue)` Deprecated

Method Summary
`String` | `getStringValue()` Deprecated
`double` | `getValue()` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class com.bea.commerce.ebusiness.price.engine.DiscountModifier
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### DiscountModifierPercent

    public DiscountModifierPercent(ModifierType type,
                                   String stringValue)

  Deprecated

Method Detail

### getValue

    public double getValue()

  Deprecated

### getStringValue

    public String getStringValue()

  Deprecated

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `DiscountModifier`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.